net.sf.statsvn.input

## Class SvnLogfileParser.PerRevDiffTask

- java.lang.Object
- - net.sf.statsvn.input.SvnLogfileParser.DiffTask
  - - net.sf.statsvn.input.SvnLogfileParser.PerRevDiffTask

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    SvnLogfileParser

      protected class SvnLogfileParser.PerRevDiffTask
      extends SvnLogfileParser.DiffTask

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnLogfileParser.PerRevDiffTask(java.lang.String newRevision, java.util.Map fileBuilders)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class net.sf.statsvn.input.SvnLogfileParser.DiffTask

      `getFileBuilder, getFileName, getNewRevision, getOldRevision, performIntermediarySave, setFileBuilder, setFileName, setNewRevision, setOldRevision, trackBinaryFile, trackFileDiff`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnLogfileParser.PerRevDiffTask

          public SvnLogfileParser.PerRevDiffTask(java.lang.String newRevision,
                                         java.util.Map fileBuilders)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `SvnLogfileParser.DiffTask`